﻿@model JavnaNabava.ViewModels.TroskovnikNatjecajaViewModel

@{
    ViewData["Title"] = "Marino Totić";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<h1>Popis troškovnika natječaja</h1>
<p>
    <small>
        Ovo je Master stranica sa složenim tabličnim prikazom. Na ovoj stranici se može provjeriti sortiranje i straničenje. Prilikom klika na gumb delete, korisnika se pita želi li stvarno izbrisati troškovnik. U tablici su prikazane stvarne vrijednosti, a ne ID stranih ključeva.
    </small>
</p>

<a asp-action="Create">Unos novog troškovnika</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu"
       page-action="Index" class="float-right">
</pager>

<table class="table table-sm table-striped table-hover" id="table_sif">
    <thead>
        <tr>
            @{
                string[] nazivi = { "Id", "Naslov Troškovnika", "Opis", "Natječaj" };
                for (int i = 1; i <= nazivi.Length; i++)
                {
                    <th>
                        <a asp-route-sort="@i"
                           asp-route-page="@Model.PagingInfo.CurrentPage"
                           asp-route-ascending="@(Model.PagingInfo.Sort == @i ? !Model.PagingInfo.Ascending : true)">
                            @nazivi[i - 1]
                        </a>
                    </th>
                }
            }
            <th>Stavke Troškovnika</th>
            <th></th>
        </tr>
    </thead>

    <tbody>
        @foreach (var stavka in Model.natjecaji)
        {
            <tr>
                <td class="text-left">
                    <a asp-action="Show"
                       asp-route-id="@stavka.Id"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending">
                        @stavka.Id
                    </a>
                </td>
                <td class="text-left">@stavka.Naslov</td>
                <td class="text-left">@stavka.Opis</td>
                <td class="text-left">@stavka.NazivNat</td>
                <td class="text-left">
                    @foreach (var s in stavka.stavke)
                    {
                        @s.Opis
                        <br />
                    }
                </td>
                <td>
                    <a asp-action="Edit"
                       asp-route-id="@stavka.Id"
                       asp-route-page="@ViewBag.Page"
                       asp-route-sort="@ViewBag.Sort"
                       asp-route-ascending="@ViewBag.Ascending"
                       class="btn btn-sm" title="Ažuriraj" target="_blank"><i class="fas fa-edit"></i></a>
                </td>
                <td>
                    <form asp-action="Delete" method="POST">
                        <input type="hidden" name="id" value="@stavka.Id" />
                        <button data-idstavke="@stavka.Id" type="submit" class="btn btn-sm btn-danger deleteajax" title="Obriši">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
        }
    </tbody>
</table>

@section styles{
    <link rel="stylesheet" href="~/lib/jqueryui/themes/base/jquery-ui.css" />
}
@section scripts{
    <script>
        $(function() {
            SetDeleteAjax(".deleteajax", '@Url.Action("Delete")', 'idstavke');
            SetEditAjax(".editajax", '@Url.Action("Edit")', 'idstavke');
        });
    </script>
    <script src="~/lib/jqueryui/jquery-ui.js"></script>
    <script src="~/js/autocomplete.js" asp-append-version="true"></script>
}